Subject: Re: linux-next: Tree for Jul 10

From: Stephen Rothwell <[email-masked]>
Date: Mon, 13 Jul 2020 08:01:52 +1000

Hi Andy,

On Sun, 12 Jul 2020 18:56:04 +0300 Andy Shevchenko <[email-masked]> wrote:
>
> On Fri, Jul 10, 2020 at 06:33:18PM +1000, Stephen Rothwell wrote:
> > 
> > Changes since 20200709:
> 
> I can't build it on Debian with Sparse enabled
> 
> CC      init/main.o
> init/main.c:760:20: warning: no previous prototype for ‘mem_encrypt_init’ [-Wmissing-prototypes]
> 760 | void __init __weak mem_encrypt_init(void) { }
> |                    ^~~~~~~~~~~~~~~~
> CHECK   /home/andy/prj/linux-topic-uart/init/main.c
> include/linux/compiler.h:309:16: error: typename in expression
> include/linux/compiler.h:309:16: error: Expected ) in function call
> include/linux/compiler.h:309:16: error: got :
> ...
> (All READ_ONCE() entries fail)
> 
> Is it known issue?

Not that I am aware of at the moment.  Does next-20200709 work?  Does
Linus' tree work?  The only obvious thing I can think of is commit

6ec4476ac825 ("Raise gcc version requirement to 4.9")

The commmit message says:

    Using _Generic also means that you will need to have a very recent
    version of 'sparse', but thats easy to build yourself, and much less of
    a hassle than some old gcc version can be.

-- 
Cheers,
Stephen Rothwell